%define dist el5

%define python python
%{?with_python:%define python %{with_python}}

%define pyver %(%{python} -c "import sys; print '%s.%s' % sys.version_info[:2]")
%define release 1.py%{pyver}

%define name python-jinja
%define unmangled_name Jinja2
%define version 2.3.1
%define unmangled_version 2.3.1

Summary: A small but fast and easy to use stand-alone template engine written in pure python.
Name: %{name}
Version: %{version}
Release: %{release}.%{dist}
Source0: %{unmangled_name}-%{unmangled_version}.tar.gz
License: BSD
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
BuildRequires: python-ez_setup
Vendor: Armin Ronacher <armin.ronacher@active-4.com>
Url: http://jinja.pocoo.org/

%description

Jinja2
~~~~~~

Jinja2 is a template engine written in pure Python.  It provides a
`Django`_ inspired non-XML syntax but supports inline expressions and
an optional `sandboxed`_ environment.

Nutshell
--------

Here a small example of a Jinja template::

    {% extends 'base.html' %}
    {% block title %}Memberlist{% endblock %}
    {% block content %}
      <ul>
      {% for user in users %}
        <li><a href="{{ user.url }}">{{ user.username }}</a></li>
      {% endfor %}
      </ul>
    {% endblock %}

Philosophy
----------

Application logic is for the controller but don't try to make the life
for the template designer too hard by giving him too few functionality.

For more informations visit the new `Jinja2 webpage`_ and `documentation`_.

The `Jinja2 tip`_ is installable via `easy_install` with ``easy_install
Jinja2==dev``.

.. _sandboxed: http://en.wikipedia.org/wiki/Sandbox_(computer_security)
.. _Django: http://www.djangoproject.com/
.. _Jinja2 webpage: http://jinja.pocoo.org/
.. _documentation: http://jinja.pocoo.org/2/documentation/
.. _Jinja2 tip: http://dev.pocoo.org/hg/jinja2-main/archive/tip.tar.gz#egg=Jinja2-dev


%prep
%setup -n %{unmangled_name}-%{unmangled_version}

%build
%{python} setup.py build

%install
%{python} setup.py install --single-version-externally-managed --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
